#include <iostream>

int main()
{
    int n, k;
    std::cin >> n >> k;

    int karte[20000];

    for (int i = 0; i < n; ++i) {
        std::cin >> karte[i];
    }


    for (int i = 0; i < n; ++i) {
        if (karte[i] == k) {
            if (++i != n) std::cout << karte[i];
            else std::cout << karte[0];
            break;
        }

    }

}